package com.kingdee.eas.custom.compensation.basedata;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class PositionSalaryStandardEntryFactory
{
    private PositionSalaryStandardEntryFactory()
    {
    }
    public static com.kingdee.eas.custom.compensation.basedata.IPositionSalaryStandardEntry getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.basedata.IPositionSalaryStandardEntry)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("E580CDDE") ,com.kingdee.eas.custom.compensation.basedata.IPositionSalaryStandardEntry.class);
    }
    
    public static com.kingdee.eas.custom.compensation.basedata.IPositionSalaryStandardEntry getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.basedata.IPositionSalaryStandardEntry)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("E580CDDE") ,com.kingdee.eas.custom.compensation.basedata.IPositionSalaryStandardEntry.class, objectCtx);
    }
    public static com.kingdee.eas.custom.compensation.basedata.IPositionSalaryStandardEntry getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.basedata.IPositionSalaryStandardEntry)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("E580CDDE"));
    }
    public static com.kingdee.eas.custom.compensation.basedata.IPositionSalaryStandardEntry getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.basedata.IPositionSalaryStandardEntry)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("E580CDDE"));
    }
}